<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button class="btn btn-primary" [disabled]="loading" (click)="buscar()">
    <i class="fa fa-search mr-2"></i>Buscar
  </button>
</app-page-title>

<div class="card">
  <div class="card-body">
    <div class="row">
      <div class="form-group col-sm-6 col-md-4 col-lg-3 col-xl-2">
        <kendo-datepicker name="fecha" [(ngModel)]="fecha" [format]="formatKendo" class="w-100" (change)="buscar()">
        </kendo-datepicker>
      </div>
    </div>

    <kendo-grid [data]="dataGrid" [selectable]="true" style="height: 60vh;" *ngIf="!loading">
      <ng-container *ngIf="dataGrid.length !== 0">
        <kendo-grid-column field="Fecha" title="Fecha"></kendo-grid-column>
        <kendo-grid-column field="Hora" title="Hora"></kendo-grid-column>
        <kendo-grid-column field="Mensaje" title="Mensaje"></kendo-grid-column>
      </ng-container>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>
    <app-loading *ngIf="loading"></app-loading>
  </div>
</div>